ome-xml 5.2.3

Classes | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::NumericAnnotation Class Reference

NumericAnnotation model object. More...

`#include <ome/xml/model/NumericAnnotation.h>`

Inheritance diagram for ome::xml::model::NumericAnnotation:
[legend]
Collaboration diagram for ome::xml::model::NumericAnnotation:
[legend]

## Classes
class | Impl
| Private implementation details of NumericAnnotation model object. More...

## Public Member Functions
| NumericAnnotation ()
| Default constructor.
| NumericAnnotation (const NumericAnnotation &copy)
| Copy constructor. More...
virtual | ~NumericAnnotation ()
| Destructor.
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::BasicAnnotation
| BasicAnnotation ()
| Default constructor.
| BasicAnnotation (const BasicAnnotation &copy)
| Copy constructor. More...
virtual | ~BasicAnnotation ()
| Destructor.
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::Annotation
| Annotation ()
| Default constructor.
| Annotation (const Annotation &copy)
| Copy constructor. More...
virtual | ~Annotation ()
| Destructor.
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< std::string > | getNamespace ()
| Get the Namespace property. More...
const ome::compat::shared_ptr< std::string > | getNamespace () const
| Get the Namespace property. More...
void | setNamespace (ome::compat::shared_ptr< std::string > &namespace_)
| Set the Namespace property. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
ome::compat::shared_ptr< std::string > | getAnnotator ()
| Get the Annotator property. More...
const ome::compat::shared_ptr< std::string > | getAnnotator () const
| Get the Annotator property. More...
void | setAnnotator (ome::compat::shared_ptr< std::string > &annotator)
| Set the Annotator property. More...
ome::compat::shared_ptr< std::string > | getDescription ()
| Get the Description property. More...
const ome::compat::shared_ptr< std::string > | getDescription () const
| Get the Description property. More...
void | setDescription (ome::compat::shared_ptr< std::string > &description)
| Set the Description property. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedAnnotationList () const
| Get size of linked Annotation list. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | getLinkedAnnotationList () const
| Get the linked Annotation list. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | getLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Annotation. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | setLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Set linked Annotation. More...
bool | linkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Link Annotation. More...
bool | unlinkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Unlink Annotation. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedImageList () const
| Get size of linked Image list. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | getLinkedImageList () const
| Get the linked Image list. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | getLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Image. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | setLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Set linked Image. More...
bool | linkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Link Image. More...
bool | unlinkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image_BackReference)
| Unlink Image. More...
OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedPlaneList () const
| Get size of linked Plane list. More...
OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type | getLinkedPlaneList () const
| Get the linked Plane list. More...
const ome::compat::weak_ptr< ome::xml::model::Plane > & | getLinkedPlane (OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Plane. More...
const ome::compat::weak_ptr< ome::xml::model::Plane > & | setLinkedPlane (OMEModelObject::indexed_container< ome::xml::model::Plane, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Plane > &plane_BackReference)
| Set linked Plane. More...
bool | linkPlane (const ome::compat::shared_ptr< ome::xml::model::Plane > &plane_BackReference)
| Link Plane. More...
bool | unlinkPlane (const ome::compat::shared_ptr< ome::xml::model::Plane > &plane_BackReference)
| Unlink Plane. More...
OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedChannelList () const
| Get size of linked Channel list. More...
OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type | getLinkedChannelList () const
| Get the linked Channel list. More...
const ome::compat::weak_ptr< ome::xml::model::Channel > & | getLinkedChannel (OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Channel. More...
const ome::compat::weak_ptr< ome::xml::model::Channel > & | setLinkedChannel (OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Set linked Channel. More...
bool | linkChannel (const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Link Channel. More...
bool | unlinkChannel (const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Unlink Channel. More...
OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedInstrumentList () const
| Get size of linked Instrument list. More...
OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type | getLinkedInstrumentList () const
| Get the linked Instrument list. More...
const ome::compat::weak_ptr< ome::xml::model::Instrument > & | getLinkedInstrument (OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Instrument. More...
const ome::compat::weak_ptr< ome::xml::model::Instrument > & | setLinkedInstrument (OMEModelObject::indexed_container< ome::xml::model::Instrument, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument_BackReference)
| Set linked Instrument. More...
bool | linkInstrument (const ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument_BackReference)
| Link Instrument. More...
bool | unlinkInstrument (const ome::compat::shared_ptr< ome::xml::model::Instrument > &instrument_BackReference)
| Unlink Instrument. More...
OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedLightSourceList () const
| Get size of linked LightSource list. More...
OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type | getLinkedLightSourceList () const
| Get the linked LightSource list. More...
const ome::compat::weak_ptr< ome::xml::model::LightSource > & | getLinkedLightSource (OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type index) const
| Get linked LightSource. More...
const ome::compat::weak_ptr< ome::xml::model::LightSource > & | setLinkedLightSource (OMEModelObject::indexed_container< ome::xml::model::LightSource, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::LightSource > &lightSource_BackReference)
| Set linked LightSource. More...
bool | linkLightSource (const ome::compat::shared_ptr< ome::xml::model::LightSource > &lightSource_BackReference)
| Link LightSource. More...
bool | unlinkLightSource (const ome::compat::shared_ptr< ome::xml::model::LightSource > &lightSource_BackReference)
| Unlink LightSource. More...
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedProjectList () const
| Get size of linked Project list. More...
OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type | getLinkedProjectList () const
| Get the linked Project list. More...
const ome::compat::weak_ptr< ome::xml::model::Project > & | getLinkedProject (OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Project. More...
const ome::compat::weak_ptr< ome::xml::model::Project > & | setLinkedProject (OMEModelObject::indexed_container< ome::xml::model::Project, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Set linked Project. More...
bool | linkProject (const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Link Project. More...
bool | unlinkProject (const ome::compat::shared_ptr< ome::xml::model::Project > &project_BackReference)
| Unlink Project. More...
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedExperimenterGroupList () const
| Get size of linked ExperimenterGroup list. More...
OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type | getLinkedExperimenterGroupList () const
| Get the linked ExperimenterGroup list. More...
const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & | getLinkedExperimenterGroup (OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ExperimenterGroup. More...
const ome::compat::weak_ptr< ome::xml::model::ExperimenterGroup > & | setLinkedExperimenterGroup (OMEModelObject::indexed_container< ome::xml::model::ExperimenterGroup, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Set linked ExperimenterGroup. More...
bool | linkExperimenterGroup (const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Link ExperimenterGroup. More...
bool | unlinkExperimenterGroup (const ome::compat::shared_ptr< ome::xml::model::ExperimenterGroup > &experimenterGroup_BackReference)
| Unlink ExperimenterGroup. More...
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedDatasetList () const
| Get size of linked Dataset list. More...
OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type | getLinkedDatasetList () const
| Get the linked Dataset list. More...
const ome::compat::weak_ptr< ome::xml::model::Dataset > & | getLinkedDataset (OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Dataset. More...
const ome::compat::weak_ptr< ome::xml::model::Dataset > & | setLinkedDataset (OMEModelObject::indexed_container< ome::xml::model::Dataset, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Set linked Dataset. More...
bool | linkDataset (const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Link Dataset. More...
bool | unlinkDataset (const ome::compat::shared_ptr< ome::xml::model::Dataset > &dataset_BackReference)
| Unlink Dataset. More...
OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedExperimenterList () const
| Get size of linked Experimenter list. More...
OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type | getLinkedExperimenterList () const
| Get the linked Experimenter list. More...
const ome::compat::weak_ptr< ome::xml::model::Experimenter > & | getLinkedExperimenter (OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Experimenter. More...
const ome::compat::weak_ptr< ome::xml::model::Experimenter > & | setLinkedExperimenter (OMEModelObject::indexed_container< ome::xml::model::Experimenter, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter_BackReference)
| Set linked Experimenter. More...
bool | linkExperimenter (const ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter_BackReference)
| Link Experimenter. More...
bool | unlinkExperimenter (const ome::compat::shared_ptr< ome::xml::model::Experimenter > &experimenter_BackReference)
| Unlink Experimenter. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedFolderList () const
| Get size of linked Folder list. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type | getLinkedFolderList () const
| Get the linked Folder list. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | getLinkedFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Folder. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | setLinkedFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Set linked Folder. More...
bool | linkFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Link Folder. More...
bool | unlinkFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Unlink Folder. More...
OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedObjectiveList () const
| Get size of linked Objective list. More...
OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type | getLinkedObjectiveList () const
| Get the linked Objective list. More...
const ome::compat::weak_ptr< ome::xml::model::Objective > & | getLinkedObjective (OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Objective. More...
const ome::compat::weak_ptr< ome::xml::model::Objective > & | setLinkedObjective (OMEModelObject::indexed_container< ome::xml::model::Objective, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Objective > &objective_BackReference)
| Set linked Objective. More...
bool | linkObjective (const ome::compat::shared_ptr< ome::xml::model::Objective > &objective_BackReference)
| Link Objective. More...
bool | unlinkObjective (const ome::compat::shared_ptr< ome::xml::model::Objective > &objective_BackReference)
| Unlink Objective. More...
OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedDetectorList () const
| Get size of linked Detector list. More...
OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type | getLinkedDetectorList () const
| Get the linked Detector list. More...
const ome::compat::weak_ptr< ome::xml::model::Detector > & | getLinkedDetector (OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Detector. More...
const ome::compat::weak_ptr< ome::xml::model::Detector > & | setLinkedDetector (OMEModelObject::indexed_container< ome::xml::model::Detector, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Detector > &detector_BackReference)
| Set linked Detector. More...
bool | linkDetector (const ome::compat::shared_ptr< ome::xml::model::Detector > &detector_BackReference)
| Link Detector. More...
bool | unlinkDetector (const ome::compat::shared_ptr< ome::xml::model::Detector > &detector_BackReference)
| Unlink Detector. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedFilterList () const
| Get size of linked Filter list. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type | getLinkedFilterList () const
| Get the linked Filter list. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | getLinkedFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Filter. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | setLinkedFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Filter > &filter_BackReference)
| Set linked Filter. More...
bool | linkFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &filter_BackReference)
| Link Filter. More...
bool | unlinkFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &filter_BackReference)
| Unlink Filter. More...
OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedDichroicList () const
| Get size of linked Dichroic list. More...
OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type | getLinkedDichroicList () const
| Get the linked Dichroic list. More...
const ome::compat::weak_ptr< ome::xml::model::Dichroic > & | getLinkedDichroic (OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Dichroic. More...
const ome::compat::weak_ptr< ome::xml::model::Dichroic > & | setLinkedDichroic (OMEModelObject::indexed_container< ome::xml::model::Dichroic, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic_BackReference)
| Set linked Dichroic. More...
bool | linkDichroic (const ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic_BackReference)
| Link Dichroic. More...
bool | unlinkDichroic (const ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic_BackReference)
| Unlink Dichroic. More...
OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedLightPathList () const
| Get size of linked LightPath list. More...
OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type | getLinkedLightPathList () const
| Get the linked LightPath list. More...
const ome::compat::weak_ptr< ome::xml::model::LightPath > & | getLinkedLightPath (OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type index) const
| Get linked LightPath. More...
const ome::compat::weak_ptr< ome::xml::model::LightPath > & | setLinkedLightPath (OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::LightPath > &lightPath_BackReference)
| Set linked LightPath. More...
bool | linkLightPath (const ome::compat::shared_ptr< ome::xml::model::LightPath > &lightPath_BackReference)
| Link LightPath. More...
bool | unlinkLightPath (const ome::compat::shared_ptr< ome::xml::model::LightPath > &lightPath_BackReference)
| Unlink LightPath. More...
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedROIList () const
| Get size of linked ROI list. More...
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type | getLinkedROIList () const
| Get the linked ROI list. More...
const ome::compat::weak_ptr< ome::xml::model::ROI > & | getLinkedROI (OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ROI. More...
const ome::compat::weak_ptr< ome::xml::model::ROI > & | setLinkedROI (OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::ROI > &roi_BackReference)
| Set linked ROI. More...
bool | linkROI (const ome::compat::shared_ptr< ome::xml::model::ROI > &roi_BackReference)
| Link ROI. More...
bool | unlinkROI (const ome::compat::shared_ptr< ome::xml::model::ROI > &roi_BackReference)
| Unlink ROI. More...
OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedShapeList () const
| Get size of linked Shape list. More...
OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type | getLinkedShapeList () const
| Get the linked Shape list. More...
const ome::compat::weak_ptr< ome::xml::model::Shape > & | getLinkedShape (OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Shape. More...
const ome::compat::weak_ptr< ome::xml::model::Shape > & | setLinkedShape (OMEModelObject::indexed_container< ome::xml::model::Shape, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Shape > &shape_BackReference)
| Set linked Shape. More...
bool | linkShape (const ome::compat::shared_ptr< ome::xml::model::Shape > &shape_BackReference)
| Link Shape. More...
bool | unlinkShape (const ome::compat::shared_ptr< ome::xml::model::Shape > &shape_BackReference)
| Unlink Shape. More...
OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedPlateList () const
| Get size of linked Plate list. More...
OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type | getLinkedPlateList () const
| Get the linked Plate list. More...
const ome::compat::weak_ptr< ome::xml::model::Plate > & | getLinkedPlate (OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Plate. More...
const ome::compat::weak_ptr< ome::xml::model::Plate > & | setLinkedPlate (OMEModelObject::indexed_container< ome::xml::model::Plate, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Plate > &plate_BackReference)
| Set linked Plate. More...
bool | linkPlate (const ome::compat::shared_ptr< ome::xml::model::Plate > &plate_BackReference)
| Link Plate. More...
bool | unlinkPlate (const ome::compat::shared_ptr< ome::xml::model::Plate > &plate_BackReference)
| Unlink Plate. More...
OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedReagentList () const
| Get size of linked Reagent list. More...
OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type | getLinkedReagentList () const
| Get the linked Reagent list. More...
const ome::compat::weak_ptr< ome::xml::model::Reagent > & | getLinkedReagent (OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Reagent. More...
const ome::compat::weak_ptr< ome::xml::model::Reagent > & | setLinkedReagent (OMEModelObject::indexed_container< ome::xml::model::Reagent, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Reagent > &reagent_BackReference)
| Set linked Reagent. More...
bool | linkReagent (const ome::compat::shared_ptr< ome::xml::model::Reagent > &reagent_BackReference)
| Link Reagent. More...
bool | unlinkReagent (const ome::compat::shared_ptr< ome::xml::model::Reagent > &reagent_BackReference)
| Unlink Reagent. More...
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedScreenList () const
| Get size of linked Screen list. More...
OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type | getLinkedScreenList () const
| Get the linked Screen list. More...
const ome::compat::weak_ptr< ome::xml::model::Screen > & | getLinkedScreen (OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Screen. More...
const ome::compat::weak_ptr< ome::xml::model::Screen > & | setLinkedScreen (OMEModelObject::indexed_container< ome::xml::model::Screen, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Set linked Screen. More...
bool | linkScreen (const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Link Screen. More...
bool | unlinkScreen (const ome::compat::shared_ptr< ome::xml::model::Screen > &screen_BackReference)
| Unlink Screen. More...
OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedPlateAcquisitionList () const
| Get size of linked PlateAcquisition list. More...
OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type | getLinkedPlateAcquisitionList () const
| Get the linked PlateAcquisition list. More...
const ome::compat::weak_ptr< ome::xml::model::PlateAcquisition > & | getLinkedPlateAcquisition (OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type index) const
| Get linked PlateAcquisition. More...
const ome::compat::weak_ptr< ome::xml::model::PlateAcquisition > & | setLinkedPlateAcquisition (OMEModelObject::indexed_container< ome::xml::model::PlateAcquisition, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition_BackReference)
| Set linked PlateAcquisition. More...
bool | linkPlateAcquisition (const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition_BackReference)
| Link PlateAcquisition. More...
bool | unlinkPlateAcquisition (const ome::compat::shared_ptr< ome::xml::model::PlateAcquisition > &plateAcquisition_BackReference)
| Unlink PlateAcquisition. More...
OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedWellList () const
| Get size of linked Well list. More...
OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type | getLinkedWellList () const
| Get the linked Well list. More...
const ome::compat::weak_ptr< ome::xml::model::Well > & | getLinkedWell (OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Well. More...
const ome::compat::weak_ptr< ome::xml::model::Well > & | setLinkedWell (OMEModelObject::indexed_container< ome::xml::model::Well, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Well > &well_BackReference)
| Set linked Well. More...
bool | linkWell (const ome::compat::shared_ptr< ome::xml::model::Well > &well_BackReference)
| Link Well. More...
bool | unlinkWell (const ome::compat::shared_ptr< ome::xml::model::Well > &well_BackReference)
| Unlink Well. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual const std::string & | elementName () const =0
| Get the element name of this model object. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
NumericAnnotation & | operator= (const NumericAnnotation &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

NumericAnnotation model object.

## Constructor & Destructor Documentation

## § NumericAnnotation()

ome::xml::model::NumericAnnotation::NumericAnnotation | ( | const NumericAnnotation & | copy | ) |

Copy constructor.

Parameters

  copy | the NumericAnnotation to copy.

## Member Function Documentation

## § asXMLElement()

common::xml::dom::Element ome::xml::model::NumericAnnotation::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Reimplemented from ome::xml::model::BasicAnnotation.

Reimplemented in ome::xml::model::DoubleAnnotation, and ome::xml::model::LongAnnotation.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::NumericAnnotation::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Reimplemented from ome::xml::model::BasicAnnotation.

Reimplemented in ome::xml::model::DoubleAnnotation, and ome::xml::model::LongAnnotation.

References ome::xml::model::BasicAnnotation::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

Referenced by asXMLElement(), ome::xml::model::DoubleAnnotation::asXMLElementInternal(), and ome::xml::model::LongAnnotation::asXMLElementInternal().

Here is the caller graph for this function:

## § getXMLNamespace()

const std::string & ome::xml::model::NumericAnnotation::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Reimplemented from ome::xml::model::BasicAnnotation.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::NumericAnnotation::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

References ome::xml::model::BasicAnnotation::link(), and ome::xml::model::detail::OMEModelObject::logger.

Referenced by ome::xml::model::DoubleAnnotation::link(), and ome::xml::model::LongAnnotation::link().

Here is the caller graph for this function:

## § update()

void ome::xml::model::NumericAnnotation::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Reimplemented from ome::xml::model::BasicAnnotation.

Reimplemented in ome::xml::model::DoubleAnnotation, and ome::xml::model::LongAnnotation.

References ome::common::xml::dom::Element::getTagName(), ome::xml::model::detail::OMEModelObject::logger, ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::BasicAnnotation::update(), and validElementName().

Referenced by ome::xml::model::DoubleAnnotation::update(), and ome::xml::model::LongAnnotation::update().

Here is the caller graph for this function:

## § validElementName()

bool ome::xml::model::NumericAnnotation::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Reimplemented from ome::xml::model::BasicAnnotation.

References ome::xml::model::BasicAnnotation::validElementName().

Referenced by update(), ome::xml::model::DoubleAnnotation::validElementName(), and ome::xml::model::LongAnnotation::validElementName().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/NumericAnnotation.h
- ome/xml/model/NumericAnnotation.cpp